Bug 17533 - xinetd-2.1.8.9pre9-6 .spec file produces a file dependency
Summary: xinetd-2.1.8.9pre9-6 .spec file produces a file dependency
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-15 05:44 UTC by R P Herrold
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-21 00:40:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2000-09-15 05:44:50 UTC
... the .spec file for this package produces the file dependency, instead
of the package which provides /etc/init.d/functions {don;t have a 7.0
system in reach to reverse it out. -- sorry}
 
[root@couch src]# rpm -Uvh
/usr/src/redhat/RPMS/i386/xinetd-2.1.8.9pre9-6.i386.rpm
/usr/src/redhat/RPMS/noarch/filesystem-2.0.7-1.noarch.rpm
error: failed dependencies:
        /etc/init.d   is needed by xinetd-2.1.8.9pre9-6
[root@couch src]#

Comment 1 R P Herrold 2000-09-21 00:40:40 UTC
More information -- The observed behaviour is because of a missing dependency:

add to the .spec file in the SRPM:

Requires: initscripts >= 5.46-1

Will remove the problem, for initscripts at that level will provice 'functions'
in the expected location of /etc/init.d/


with that added, and a patch bump, it will close the bug.

-- Russ



Comment 2 Trond Eivind Glomsrxd 2000-09-26 16:42:44 UTC
Fixed - thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.